Lists activation workflows for the entitlement, with pagination/sorting/filtering.
const url = 'https://example.com/api/v1/provision/admin/entitlements/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/activation-workflow';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/provision/admin/entitlements/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/activation-workflowParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Target entitlement.
Query Parameters
Section titled “Query Parameters”1-based page index.
Page size.
Optional sort expression.
Optional filter expression.
Responses
Section titled “Responses”OK
Serializable IPaginatedList<T> implementation used to deserialize paged API responses. int PaginatedListDto<T>.TotalPages, bool PaginatedListDto<T>.HasPreviousPage, and bool PaginatedListDto<T>.HasNextPage are computed from the other properties.
object
The 1-based index of this page within the full result set.
The maximum number of items per page that was requested.
The total number of items across all pages.
The items on this page.
Admin read model of a license activation workflow, including the issued activation code, registered device fingerprints, use counters, and expiration.
object
Authentication level a user must meet before a license activation is permitted. Used on activation policies and activation workflows.
The total number of pages, computed from int PaginatedListDto<T>.TotalCount and int PaginatedListDto<T>.PageSize; 0 when int PaginatedListDto<T>.PageSize is not positive.
Whether a page precedes this one (int PaginatedListDto<T>.PageNumber is greater than 1).
Whether a page follows this one (int PaginatedListDto<T>.PageNumber is less than int PaginatedListDto<T>.TotalPages).
Serializable IPaginatedList<T> implementation used to deserialize paged API responses. int PaginatedListDto<T>.TotalPages, bool PaginatedListDto<T>.HasPreviousPage, and bool PaginatedListDto<T>.HasNextPage are computed from the other properties.
object
The 1-based index of this page within the full result set.
The maximum number of items per page that was requested.
The total number of items across all pages.
The items on this page.
Admin read model of a license activation workflow, including the issued activation code, registered device fingerprints, use counters, and expiration.
object
Authentication level a user must meet before a license activation is permitted. Used on activation policies and activation workflows.
The total number of pages, computed from int PaginatedListDto<T>.TotalCount and int PaginatedListDto<T>.PageSize; 0 when int PaginatedListDto<T>.PageSize is not positive.
Whether a page precedes this one (int PaginatedListDto<T>.PageNumber is greater than 1).
Whether a page follows this one (int PaginatedListDto<T>.PageNumber is less than int PaginatedListDto<T>.TotalPages).
Example
{ "items": [ { "requiredAuthenticationLevel": "Default" } ]}Serializable IPaginatedList<T> implementation used to deserialize paged API responses. int PaginatedListDto<T>.TotalPages, bool PaginatedListDto<T>.HasPreviousPage, and bool PaginatedListDto<T>.HasNextPage are computed from the other properties.
object
The 1-based index of this page within the full result set.
The maximum number of items per page that was requested.
The total number of items across all pages.
The items on this page.
Admin read model of a license activation workflow, including the issued activation code, registered device fingerprints, use counters, and expiration.
object
Authentication level a user must meet before a license activation is permitted. Used on activation policies and activation workflows.
The total number of pages, computed from int PaginatedListDto<T>.TotalCount and int PaginatedListDto<T>.PageSize; 0 when int PaginatedListDto<T>.PageSize is not positive.
Whether a page precedes this one (int PaginatedListDto<T>.PageNumber is greater than 1).
Whether a page follows this one (int PaginatedListDto<T>.PageNumber is less than int PaginatedListDto<T>.TotalPages).
Example
{ "items": [ { "requiredAuthenticationLevel": "Default" } ]}Not Found
object
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}